<!DOCTYPE html>
<html lan="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width" , initial-scale="1.0">
    <title>anjay</title>
    <link rel="stylesheet" type="text/css" href="style.css">
    <link href='https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css' rel='stylesheet'>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            text-decoration: none;
            border: none;
            outline: none;
            font-family: "Poppins", sans-serif;
        }

        :root {
            --bg-color: #081b29;
            --main-color: #00abf0;
            --text-color: #333;
            --second-text-color: #555;
            --white-color: #fff;
            --cover-color: linear-gradient(45deg, #00abf0, #006e9a);
            --pages-color: linear-gradient(90deg, #fff, #ddd);
            --border: .125rem solid #00abf0;
            --box-shadow: 0 0 .6rem rgba(0, 0, 0, .2);
        }

        body {
            display: flex;
            justify-content: center;
            align-items: center;
            /* min-height: 100vh; */

            color: var(--text-color);
            overflow: hidden;
            width: 100%;
        }

        .wrapper {
            font-size: 1rem;
            position: relative;
            width: 90rem;
            height: 48rem;
            padding: 2rem;
            perspective: 250rem;
            animation: show-animate 2s forwards;
        }

        .ktp {
            text-align: center;
        }

        @keyframes show-animate {

            0%,
            30% {
                opacity: 0;
                transform: rotate(-20deg);
            }

            100% {
                opacity: 1;
                transform: rotate(0deg);
            }
        }

        .cover {
            position: absolute;
            top: 0;
            left: 0;
            width: 50%;
            height: 100%;
            background: var(--cover-color);
            box-shadow: var(--box-shadow);
            border-top-left-radius: .6rem;
            border-bottom-left-radius: .6rem;
            transform-origin: right;
        }

        .cover.cover-left {
            z-index: -1;
        }

        .cover.cover-right {
            z-index: 100;
            transition: transform 1s cubic-bezier(.645, .045, .355, 1);
        }

        .cover.cover-right.turn {
            transform: rotateY(180deg);
        }

        .book {
            position: relative;
            width: 100%;
            height: 100%;
            display: flex;
            perspective: 250rem;
        }

        .book .book-page {
            justify-content: center;
            align-items: center;
            position: absolute;
            width: 50%;
            height: 100%;
            background: var(--white-color);
            box-shadow: 0 0 .6rem rgba(0, 0, 0, .1);
            display: flex;
            padding: 2rem;
        }

        .book-page.page-left {
            box-shadow: -.6rem .6rem .6rem rgba(0, 0, 0, .1);
        }

        .profile-page {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

        .profile-page img {
            max-width: 180px;
            border-radius: 50%;
            border: .25rem solid var(--main-color);
            margin-bottom: 0;
        }

        .profile-page h1 {
            font-size: 2.7rem;
            line-height: 1;
            margin-top: .7rem;
            margin-bottom: 1rem;
        }

        .profile-page h2 {
            margin-top: .7rem;
            margin-bottom: .3rem;
        }

        .profile-page h3 {
            font-size: 2rem;
            color: var(--main-color);
            margin-top: 0;
            margin-bottom: .5rem;
        }

        .profile-page h4 {
            font-size: 1rem;
            margin-top: .5rem;
            margin-bottom: .5rem;
        }

        .profile-page .social-media {
            margin: .6rem 0.8rem;
            margin-bottom: 0;
        }

        .profile-page .social-media a {
            display: inline-flex;
            justify-content: center;
            align-items: center;
            width: 2.5rem;
            height: 2.5rem;
            background: transparent;
            border: var(--border);
            border-radius: 50%;
            font-size: 1.3rem;
            color: var(--main-color);
            margin: 0 .2rem;
            transition: .5s;
        }

        .profile-page .social-media a:hover {
            background: var(--main-color);
            color: var(--white-color);
        }

        .profile-page p {
            text-align: justify;
            margin-top: 0;
            margin-bottom: .5rem;
        }

        .profile-page .btn-box {
            margin-top: .7rem;
        }

        .btni {
            display: inline-flex;
            justify-content: center;
            align-items: center;
            width: 9.5rem;
            height: 3rem;
            background: var(--main-color);
            border: var(--border);
            border-radius: .3rem;
            font-size: 1rem;
            color: var(--white-color);
            font-weight: 500;
            margin: 0 1rem;
            transition: .5s;
        }

        .btn:hover {
            background: transparent;
            color: var(--main-color);
        }

        .btn-box .btn:nth-child(2) {
            background: transparent;
            color: var(--main-color);
        }

        .btn-box .btn:nth-child(2):hover {
            background: var(--main-color);
            color: var(--white-color);
        }

        .book-page.page-right {
            position: absolute;
            right: 0;
            transform-style: preserve-3d;
            transform-origin: left;
            transition: transform 1s cubic-bezier(.645, .045, .355, 1);
        }

        .book-page.page-right.turn {
            transform: rotateY(-180deg);
        }

        .book-page .page-front,
        .book-page .page-back {
            position: absolute;
            width: 100%;
            height: 100%;
            padding: 1.5rem 2.3rem;
        }

        .book-page .page-front {
            transform: rotateY(0deg) translateZ(1px);
        }

        .book-page .page-back {
            transform: rotateY(180deg) translateZ(1px);
        }

        .title {
            text-align: center;
            font-size: 1.7rem;
            margin-top: 0.5rem;
            margin-bottom: 1rem;
        }

        .workeduc-box {
            border-left: var(--border);
        }

        .workeduc-box .workeduc-content {
            position: relative;
            margin-bottom: -0.67rem;
            padding-left: 1.6rem;
        }

        .workeduc-box .workeduc-content::before {
            content: '';
            position: absolute;
            top: 0;
            left: -0.65rem;
            width: 1.2rem;
            height: 1.2rem;
            background: var(--main-color);
            border-radius: 50%;
        }

        .workeduc-content h3 {
            margin-top: 1rem;
            margin-bottom: 0.5rem;
            font-size: 1rem;
        }

        .workeduc-content p {
            margin-top: 0.2rem;
            margin-bottom: 1.6rem;
            font-size: 1.1rem;
        }

        .workeduc-content .year {
            color: var(--main-color);
        }

        .workeduc-content .year i {
            margin-right: .4rem;
        }

        .number-page {
            position: absolute;
            bottom: 1.2rem;
            left: 50%;
            transform: translate(-50%);
        }

        .lanjut-btn {
            position: absolute;
            bottom: .9rem;
            right: 1.5rem;
            width: 2rem;
            height: 2rem;
            cursor: pointer;
            font-size: red;
            display: inline-flex;
            justify-content: center;
            align-items: center;
        }

        .lanjut-btn:hover {
            color: black;
        }

        .lanjut-btn.back {
            left: 1.5rem;
        }

        .masukkan {
            margin-bottom: 0;
        }

        .masukkan label {
            margin-top: 0;
            margin-bottom: 0;
        }

        .masukkan .beda input {
            width: 18%;
        }

        .masukkan input {
            border: var(--border);
            border-radius: .3rem;
        }

        .masukkan .field {
            width: 30%;
            background: transparent;
            border: var(--border);
            border-radius: .3rem;
            padding: .8rem;
            font-size: 1rem;
            color: var(--text-color);
            margin-bottom: 1.5rem;
        }

        .anjay {
            width: 35%;
            border: var(--border);
            border-radius: .3rem;
            margin-top: 0.2rem;
        }

        .tamp {
            border-collapse: collapse;
            width: 100%;
        }

        .tamp thead tr {
            border-bottom: 1px dashed var(--main-color);
        }

        .tamp tbody th {
            border-top: 1px dashed red;
            border-bottom: 1px dashed red;
        }

        .tamp tfoot tr th {
            border-top: 1px dashed var(--main-color);
        }

        .tamp tbody span {
            font-size: 12px;
            color: red;
        }
    </style>

</head>

<body>
    <div id="form_rincian" class="wrapper">
        <div class="cover cover-left"></div>
        <div class="cover cover-right"></div>

        <div class="book">
            <div class="book-page page-left">
                <div class="profile-page">
                    <img src="ayang1.jpg" onclick="$('input[name=photo]').click()" />
                    <input type="file" name="photo" />
                    <h2>{$value.nm_pasien}</h2>
                    <div class="ktp">
                        <h4>{$pasien.no_ktp}</h4>
                        <h4><span>{$value.no_rkm_medis}</span></h4>
                    </div>
                    <h3>Detail Pribadi</h3>
                    <!-- <div class="social-media">
                        <a href="#"><i class='bx bxl-facebook'></i></a>
                        <a href="#"><i class='bx bxl-twitter'></i></a>
                        <a href="#"><i class='bx bxl-youtube' ></i></a>
                        <a href="#"><i class='bx bxl-instagram' ></i></a>
                    </div> -->
                    <div>
                        <div>
                            Penjamin:
                        </div>
                        <div>
                            {$value.png_jawab}
                        </div>
                        <div>
                            No. Asuransi:
                        </div>
                        <div>
                            {$value.no_peserta}
                        </div>
                        <div>
                            Status Lanjut:
                        </div>
                        <div>
                            {$value.status_lanjut}
                        </div>
                        <div>
                            Status Bayar:
                        </div>
                        <div>
                            {$value.status_bayar}
                        </div>
                        <div class="btn-box">
                            <a href="#" class="btni kelola">Kelola Pasien</a>
                            <a href="#" class="btni eresep">E-Resep</a>
                        </div>
                    </div>
                </div>
            </div>
            <!--halaman 1 & 2-->
            <div class="book-page page-right turn" id="turn-1">
                <div class="page-front">
                    <h1 class="title">Riwayat</h1>
                    <div class="workeduc-box">
                        <div class="workeduc-content">
                            <span class="year"><i class='bx bxs-calendar'></i>{$value.tgl_registrasi}
                                {$value.jam_reg}</span>
                            <h3>{$value.tgl_registrasi} / {$value.nm_poli} / {$value.png_jawab}</h3>
                            <p>{$value.nm_dokter}</p>
                        </div>
                    </div>
                    <span class="number-page">1</span>

                    <span class="lanjut-btn" data-page="turn-1">
                        <i class='bx bx-chevron-right'></i>
                    </span>
                </div>
                <div class="page-back">
                    <h1 class="title">KELOLA PASIEN</h1>
                    <div class="masukkan">
                        <div class="beda">
                            <form action="#">
                                <input type="text" id="tgl_perawatan" name="tgl_perawatan" value="{?=date('Y-m-d')?}">
                                <input type="text" id="jam_rawat" name="jam_rawat" value="{?=date('H:i:s')?}">
                            </form>
                        </div>
                    </div>
                    <div class="masukkan">
                        <label for="">id rawat jalan</label>
                        <form action="#">
                            <input type="text" name="no_rawat" placeholder="ID Rawat Jalan" value="" readonly>
                        </form>
                    </div>

                    <div class="masukkan">
                        <label for="obat">Obat</label>
                        <form action="#">
                            <?php $sql = mysqli_query(mysqli_connect('localhost','root','','sik_kosong'), "SELECT * FROM databarang");?>
                            <select id="mySelect" onchange="myFunction()">
                                <?php foreach ($sql as $data): ?>
                                <option value="<?php echo $data['kode_brng'] ?>"
                                    data-obat="<?php echo $data['nama_brng'] ?>"
                                    data-jml="1"
                                    data-harga="<?php echo $data['h_beli'] ?>">
                                    <?php echo $data['nama_brng'] ?>
                                </option>
                                <?php endforeach ?>
                            </select>
                        </form>
                    </div>

                    <script>
                        function myFunction() {
                            var x = document.getElementById("mySelect");
                            var selectedOption = x.options[x.selectedIndex];
                            var kode = selectedOption.value;
                            var harga = selectedOption.getAttribute("data-harga");
                            var nm_obat = selectedOption.getAttribute("data-obat");
                            var jml = selectedOption.getAttribute("data-jml");

                            document.getElementById("kode1").value = kode;
                            document.getElementById("kode2").value = kode;
                            document.getElementById("harga").value = harga;
                            document.getElementById("harga_total").innerHTML = harga;
                            document.getElementById("nm_obat").innerHTML = nm_obat;
                            document.getElementById("jml_total").innerHTML = jml;
                            
                            var total_harga123 = harga * jml;
                            document.getElementById("total_harga123").innerHTML = total_harga123;

                        }
                    </script>

                    <div class="masukkan">
                        <label for="id_pasien">no.rm</label>
                        <form action="#">
                            <input type="text" name="no_rkm_medis" placeholder="Nomor Rekam Medik" value="" readonly>
                        </form>
                    </div>
                    <div class="masukkan">
                        <label for="nama_pasien">Nama Pasien</label>
                        <form action="#">
                            <input type="text" name="nm_pasien" placeholder="Nama pasien" value="" readonly>
                        </form>
                    </div>
                    <div class="masukkan">
                        <label for="tgl_perawatan">Aturan pakai obat</label>
                        <form action="#">
                            <input type="hidden" name="kd_jenis_prw" value="">
                            <input type="text" name="nm_perawatan" placeholder="Nama tindakan/layanan/obat/BHP" value=""
                                readonly>
                        </form>
                    </div>
                    <div class="masukkan">
                        <label for="pnd">harga</label>
                        <form action="#">
                            <input type="text" id="harga" name="harga" placeholder="harga" value="" readonly>
                        </form>
                    </div>
                    <div class="masukkan" id="provider">
                        <label for="jenis">Jenis Provider</label>
                        <div>
                            <select name="provider" id="pilih_provider">
                                <option>Pilih provider</option>
                                <option value="rawat_jl_dr">Dokter</option>
                                <option value="rawat_jl_pr">Perawat</option>
                                <option value="rawat_jl_drpr">Dokter & Perawat</option>
                            </select>
                        </div>
                    </div>
                    <div class="masukkan" id="rawat_jl_dr">
                        <label for="">Nama Dokter</label>
                        <div>
                            <input type="text" name="nama_provider" placeholder="Dokter" id="nama_provider" value="">
                            <ul id="kode_providerList"></ul>
                        </div>
                        <label for="">Kode</label>
                        <div>
                            <input type="text" name="kode1" placeholder="Kode1" id="kode1" value="">
                        </div>
                    </div>
                    <div class="masukkan" id="rawat_jl_pr">
                        <label for="">Nama Perawat</label>
                        <div>
                            <input type="text" name="nama_provider2" placeholder="Perawat" id="nama_provider2" value="">
                            <ul id="kode_providerList2"></ul>
                        </div>
                        <label for="">Kode</label>
                        <div>
                            <input type="text" name="kode2" placeholder="Kode2" id="kode2" value="">
                        </div>
                    </div>
                    <div class="masukkan" id="aturan_pakai">
                        <label>Aturan Pakai</label>
                        <div>
                            <input type="text" name="aturan_pakai" id="aturan_pakai" value="">
                            <ul id="aturan_pakaiList"></ul>
                        </div>
                        <label for="">Jml</label>
                        <div>
                            <input type="text" name="jml" id="jml" placeholder="jumlah" value="10">
                        </div>
                    </div>
                    <div class="tombol">
                        <button class="anjay" type="button" name="button" id="simpan_rincian">Masukkan Rincian</button>
                        <button class="anjay" type="button" name="button" id="selesai">Selesai</button>
                    </div>
                    <span class="number-page">2</span>

                    <span class="lanjut-btn back" data-page="turn-1">
                        <i class='bx bx-chevron-left'></i>
                    </span>
                </div>
            </div>
            <div class="book-page page-right turn" id="turn-2">
                <div class="page-front">
                    <h1 class="title">PEMBERIAN OBAT</h1>
                    <table class="tamp">
                        <thead>
                            <tr>
                                <th>Nama Obat</th>
                                <th>Jumlah</th>
                                <th>Aturan Pakai</th>
                                <th>Harga</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td><p id="nm_obat" name="nm_obat"></p></td>
                                <td><p id="jml_total" name="jml_total"></p></td>
                                <td>{$value.aturan_pakai}</td>
                                <td><p id="harga_total" name="harga_total"></p></td>
                                <td>
                                    <button type="button"
                                        class="{if: $value.tgl_perawatan !== '0000-00-00'}disabled{else}hapus_resep_obat{/if}"
                                        data-no_rawat="{$value.no_rawat}" data-tgl_peresepan="{$value.tgl_peresepan}"
                                        data-jam_peresepan="{$value.jam_peresepan}"
                                        data-no_resep="{$value.no_resep}"></i><span class="hidden-xs"> Hapus
                                            Resep</span></button>
                                    <button type="button"
                                        class="{if: $value.tgl_perawatan !== '0000-00-00'}disabled{else}validasi_resep_obat{/if}"
                                        data-no_rawat="{$value.no_rawat}" data-tgl_peresepan="{$value.tgl_peresepan}"
                                        data-jam_peresepan="{$value.jam_peresepan}"
                                        data-no_resep="{$value.no_resep}"></i><span class="hidden-xs"> Validasi
                                            Resep</span></button>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Total Biaya Obat</th>
                                <th colspan="2"></th>
                                <th><p id="total_harga123"></p></th>
                                <th></th>
                            </tr>
                        </tfoot>
                    </table>

                    <span class="number-page">3</span>

                    <span class="lanjut-btn" data-page="turn-2">
                        <i class='bx bx-chevron-right'></i>
                    </span>
                </div>
                <div class="page-back">
                    <h1 class="title">E-RESEP</h1>
                    <table class="tamp">
                        <thead>
                            <tr>
                                <th>Nama Dokter</th>
                                <th>Nomor Resep</th>
                                <th>Tanggal Peresepan</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            {loop: $resep}
                            <tr>
                                <td>{$value.nm_dokter}</td>
                                <td>{$value.no_resep}</td>
                                <td>{$value.tgl_peresepan} {$value.jam_peresepan}</td>
                                <td>
                                    <button type="button" data-no_rawat="{$value.no_rawat}"
                                        data-tgl_peresepan="{$value.tgl_peresepan}"
                                        data-jam_peresepan="{$value.jam_peresepan}"
                                        data-no_resep="{$value.no_resep}"><i></i>Hapus Resep</button>
                                    <button type="button" data-no_rawat="{$value.no_rawat}"
                                        data-tgl_peresepan="{$value.tgl_peresepan}"
                                        data-jam_peresepan="{$value.jam_peresepan}"
                                        data-no_resep="{$value.no_resep}"><i></i>Validasi Resep</button>
                                </td>
                            </tr>
                            <tr>
                                <th>Nama Obat</th>
                                <th>Jumlah</th>
                                <th>Aturan Pakai</th>
                                <th>Harga</th>
                                <th>Aksi</th>
                            </tr>
                            {loop: $value.resep_dokter as $data}
                            <tr>
                                <td>{$data.nama_brng}</td>
                                <td>{$data.jml}</td>
                                <td>{$data.aturan_pakai}</td>
                                <td>{?= number_format(($data.ralan * $data.jml),2,',','.')?}</td>
                                <td>
                                    <button type="button" data-no_rawat="{$value.no_rawat}"
                                        data-tgl_peresepan="{$value.tgl_peresepan}"
                                        data-jam_peresepan="{$value.jam_peresepan}"
                                        data-no_resep="{$value.no_resep}"><i></i>Hapus Resep</button>
                                </td>
                            </tr>
                            {/loop}
                            {/loop}
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Total Biaya Obat</th>
                                <th colspan="2"></th>
                                <th></p></th>
                                <th></th>
                            </tr>
                        </tfoot>
                    </table>

                    <span class="number-page">4</span>

                    <span class="lanjut-btn back" data-page="turn-2">
                        <i class='bx bx-chevron-left'></i>
                    </span>
                </div>
            </div>
            <script>
                //tombol lanjut
                const pageTurnBtn = document.querySelectorAll('.lanjut-btn')
                pageTurnBtn.forEach((el, index) => {
                    el.onclick = () => {
                        const pageTurnId = el.getAttribute('data-page');
                        const pageTurn = document.getElementById(pageTurnId);

                        if (pageTurn.classList.contains('turn')) {
                            pageTurn.classList.remove('turn');
                            setTimeout(() => {
                                pageTurn.style.zIndex = 20 - index;
                            }, 500)
                        }
                        else {
                            pageTurn.classList.add('turn');
                            setTimeout(() => {
                                pageTurn.style.zIndex = 20 + index;
                            }, 500)
                        }
                    }
                })

                //tombol kelola pasien
                const pages = document.querySelectorAll('.book-page.page-right');
                const kelolaBtn = document.querySelector('.btni.kelola');
                kelolaBtn.onclick = () => {
                    let targetPageIndex = 0; // Ganti dengan indeks halaman yang ingin ditampilkan (indeks dimulai dari 0)
                    pages.forEach((page, index) => {
                        setTimeout(() => {
                            if (index === targetPageIndex) {
                                // Menampilkan halaman target
                                page.classList.add('turn');
                                setTimeout(() => {
                                    pageTurn.style.zIndex = 20 + index;
                                }, 500)
                            } else {
                                // Sembunyikan halaman lain
                                page.classList.remove('turn');
                                setTimeout(() => {
                                    pageTurn.style.zIndex = 20 - index;
                                }, 500)
                            }
                        }, (index + 1) * 200 + 100);
                    });
                }

                const eresepBtn = document.querySelector('.btni.eresep');
                eresepBtn.onclick = () => {
                    pages.forEach((page, index) => {
                        setTimeout(() => {
                            page.classList.add('turn');
                            setTimeout(() => {
                                page.style.zIndex = 20 + index;
                            }, 500)
                        }, (index + 1) * 200 + 100)
                    })
                }

                let totalPages = pages.length;
                let pageNumber = 0;
                function reverseIndex() {
                    pageNumber--;
                    if (pageNumber < 0) {
                        pageNumber = totalPages - 1;
                    }
                }

                const coverRight = document.querySelector('.cover.cover-right');
                setTimeout(() => {
                    coverRight.classList.add('turn');
                }, 2100)
                setTimeout(() => {
                    coverRight.style.zIndex = -1;
                }, 2800)


                pages.forEach((_, index) => {
                    setTimeout(() => {
                        reverseIndex();
                        pages[pageNumber].classList.remove('turn');
                        setTimeout(() => {
                            reverseIndex();
                            pages[pageNumber].style.zIndex = 10 + index;
                        }, 500)
                    }, (index + 1) * 200 + 2100)
                })
            </script>
            <script>
                var dropdown = document.getElementById('obat');
                var inputKode = document.getElementById('kode');

                dropdown.addEventListener('change', function () {
                    inputKode.value = this.value;
                });
            </script>
</body>

</html>